declare @funOT as int
declare @funTab as int
declare @funForm as int
declare @uid as varchar(50)
declare @eid as varchar(50)

set @funOT=0
set @funTab=0
set @funForm=0
set @eid='01'

select @uid=uid from seg_usuario where id=1

select @funOT=min(id)
from gui_funcionalidad 
where id_tipofuncionalidad=3 --formulario 
and nombrecontrol ='doc_documento_ot' --ots
and id in (select id_funcionalidad from gui_funcionalidad where id_tipofuncionalidad=1) --con hijos tabs
and active=1

if @funOT>0 
begin
	if not exists(select id from gui_funcionalidad where nombrecontrol='inc_tareas' and id_funcionalidad=@funOT)
	begin
		insert into gui_funcionalidad
		(uid,eid,funcionalidad,url,esmenu,nombrecontrol,nombrecomando,orden,id_funcionalidad,id_tipoFuncionalidad)
		values
		(@uid,@eid,'Tareas','',0,'inc_tareas','doc_tarea',10,@funOT,1)
		
		set @funTab = scope_identity()
	end
	else
	begin
		select @funTab=id from gui_funcionalidad where nombrecontrol='inc_tareas' and id_funcionalidad=@funOT
	end
	
	if not exists(select id from gui_funcionalidad where nombrecontrol='doc_tarea' and id_funcionalidad=@funTab and id_tipofuncionalidad=3)
	begin
		insert into gui_funcionalidad
		(uid,eid,funcionalidad,url,esmenu,nombrecontrol,nombrecomando,orden,id_funcionalidad,id_tipoFuncionalidad)
		values
		(@uid,@eid,'Tareas Formulario','',0,'doc_tarea','doc_tarea',1,@funTab,3)
		
		set @funForm = scope_identity()
	end
	else
	begin
		select @funForm=id from gui_funcionalidad where nombrecontrol='doc_tarea' and id_funcionalidad=@funTab and id_tipofuncionalidad=3
	end
	
	if not exists(select id from gui_funcionalidad where nombrecomando='crear' and id_funcionalidad=@funForm)
	begin
		insert into gui_funcionalidad
		(uid,eid,funcionalidad,url,esmenu,nombrecomando,nombrecontrol,orden,id_funcionalidad,id_tipoFuncionalidad)
		values
		(@uid,@eid,'Crear tarea','',0,'crear','',1,@funForm,5)
	end
	
	if not exists(select id from gui_funcionalidad where nombrecomando='editar' and id_funcionalidad=@funForm)
	begin
		insert into gui_funcionalidad
		(uid,eid,funcionalidad,url,esmenu,nombrecomando,nombrecontrol,orden,id_funcionalidad,id_tipoFuncionalidad)
		values
		(@uid,@eid,'Editar tarea','',0,'editar','',2,@funForm,5)
	end
	
	if not exists(select id from gui_funcionalidad where nombrecomando='importar' and id_funcionalidad=@funForm)
	begin
		insert into gui_funcionalidad
		(uid,eid,funcionalidad,url,esmenu,nombrecomando,nombrecontrol,orden,id_funcionalidad,id_tipoFuncionalidad)
		values
		(@uid,@eid,'Importar tarea','',0,'importar','',3,@funForm,5)
	end
	
	if not exists(select id from gui_funcionalidad where nombrecomando='eliminar' and id_funcionalidad=@funForm)
	begin
		insert into gui_funcionalidad
		(uid,eid,funcionalidad,url,esmenu,nombrecomando,nombrecontrol,orden,id_funcionalidad,id_tipoFuncionalidad)
		values
		(@uid,@eid,'Eliminar tarea','',0,'eliminar','',4,@funForm,5)
	end
end

if not exists(select tabla from _tablas where tabla='doc_tarea')
begin
	insert into _tablas
	(tabla,esMultiempresa,duplicar,eliminarIntermedias)
	values
	('doc_tarea',1,0,0)
end

/*

delete from seg_perfil_funcionalidad where fechacreacion>'12/1/2014'
delete from gui_funcionalidad where fechacreacion>'12/1/2014'
select * from gui_funcionalidad
*/


